> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Audit an invoice

> Audit the invoice with the given id



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/auditTrail/invoice
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/auditTrail/invoice:
    get:
      tags:
        - Audit Trail
      summary: Audit an invoice
      description: Audit the invoice with the given id
      operationId: auditInvoice
      parameters:
        - name: id
          in: query
          description: Id of the specific invoice
          required: true
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEInvoiceRevisionDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEInvoiceRevisionDTOV5List:
      properties:
        data:
          type: array
          description: >-
            List of revisions for this invoice, ordered by the date of the
            revision in ascending order
          items:
            $ref: '#/components/schemas/InvoiceRevisionDTOV5'
    InvoiceRevisionDTOV5:
      type: object
      properties:
        userId:
          type: string
          description: Id in your DB of the user who made the revision
        email:
          type: string
          description: Email address for the user who made the revision
        firstName:
          type: string
          description: First name for the user who made the revision
        lastName:
          type: string
          description: Last name for the user who made the revision
        date:
          type: string
          description: Date of the revision
          format: date-time
        revision:
          type: object
          description: >-
            All fields of this
            [invoice](https://docs.tight.com/reference/getinvoice) that were
            updated on `date`, with their updated values
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````